summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dan LaRocque2012-04-16 10:37:54 +0200
committer Erik Hanson2012-04-16 12:36:01 +0200
commit534cd85b844918f01fc49c9de11d0c07bae057fa (patch)
treea34ec794d87c9f23868de8c55fc4ca858c75cab3
parent0d8db187f31d33ea203ab0f5f06bee2417ffa06b (diff)
downloadslackbuilds-534cd85b844918f01fc49c9de11d0c07bae057fa.tar.gz
libraries/gts: Added (GNU Triangulated Surface Library)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--libraries/gts/README6
-rw-r--r--libraries/gts/gts.SlackBuild76
-rw-r--r--libraries/gts/gts.info10
-rw-r--r--libraries/gts/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/gts/README b/libraries/gts/README
new file mode 100644
index 0000000000..f79b478809
--- /dev/null
+++ b/libraries/gts/README
@@ -0,0 +1,6 @@
+GTS is open source software that provides a set of functions to deal
+with 3D surfaces meshed with interconnected triangles. It consists of
+the library libgts and some auxiliary programs.
+
+Triangulated surface manipulation appears in several applications,
+such as graph visualization and fluid flow simulation.
diff --git a/libraries/gts/gts.SlackBuild b/libraries/gts/gts.SlackBuild
new file mode 100644
index 0000000000..3dd45a1ed3
--- /dev/null
+++ b/libraries/gts/gts.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for GNU Triangulation Library
+
+# Adapted by Dan LaRocque <dalaro@hopcount.org>
+# from the slackbuilds.org default template
+
+PRGNAM=gts
+VERSION=${VERSION:-0.7.6}
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Included for pgm.h, which is required by examples/happrox.c
+export CPATH="/usr/include/netpbm:${CPATH:-}"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --enable-static \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gts/gts.info b/libraries/gts/gts.info
new file mode 100644
index 0000000000..2d2f0fcc55
--- /dev/null
+++ b/libraries/gts/gts.info
@@ -0,0 +1,10 @@
+PRGNAM="gts"
+VERSION="0.7.6"
+HOMEPAGE="http://gts.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/gts/gts-0.7.6.tar.gz"
+MD5SUM="9f710aefd2ed9b3cc1b1216171fc5a8a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dan LaRocque"
+EMAIL="dalaro@hopcount.org"
+APPROVED="dsomero"
diff --git a/libraries/gts/slack-desc b/libraries/gts/slack-desc
new file mode 100644
index 0000000000..626d1064f4
--- /dev/null
+++ b/libraries/gts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gts: GTS (GNU Triangulated Surface Library)
+gts:
+gts: GTS is open source software that provides a set of functions to deal
+gts: with 3D surfaces meshed with interconnected triangles. It consists
+gts: of the library libgts and some auxiliary programs.
+gts:
+gts: Homepage: http://gts.sourceforge.net/
+gts:
+gts:
+gts:
+gts: